Get App's Daily Usage

Using this API you can get the daily usage breakdown for a particular app ranging between two dates.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
<PartnerPortalWarning />

<br />

## Request Parameters

| Key           | Value                 | Description                                           | Type   | Requirement | Constraints                                |
| :------------ | :-------------------- | :---------------------------------------------------- | :----- | :---------- | :----------------------------------------- |
| Authorization | `{PARTNER_APP_TOKEN}` | Access Token for the application                      | String | Required    | Should be a valid Partner App Access Token |
| appId         | `{App_ID}`            | Id of the app for which daily app usage to be fetched | String | Required    | The Id should be a valid app Id of gupshup |
| from          | `{FROM_DATE}`         | date in YYYY-MM-DD format.                            | Date   | Required    |                                            |
| to            | `{TO_DATE}`           | date in YYYY-MM-DD format.                            | Date   | Required    |                                            |

## Sample Request

```curl
curl --location --request GET 'https://partner.gupshup.io/partner/app/{APP_ID}/usage?from={FROM_DATE}&to={TO_DATE}' \
--header 'Authorization: {PARTNER_APP_TOKEN}'

Sample Response

{
    "status": "success",
    "partnerAppUsageList": [
        {
            "appId": "bf9ee64c-3d4d-4ac4-8668-732e577007c4",
            "appName": "Jan10pass",
            "authentication": 0,
            "cumulativeBill": 0.007,
            "currency": "USD",
            "date": "2024-01-10",
            "discount": 0.0,
            "fep": 0,
            "ftc": 1,
            "gsCap": 75.0,
            "gsFees": 0.007,
            "incomingMsg": 2,
            "outgoingMsg": 5,
            "outgoingMediaMsg": 0,
            "marketing": 0,
            "service": 0,
            "templateMsg": 0,
            "templateMediaMsg": 0,
            "totalFees": 0.007,
            "totalMsg": 7,
            "utility": 0,
            "waFees": 0.0,
            "internationalAuthentication": 1
        },
        {
            "appId": "bf9ee64c-3d4d-4ac4-8668-732e577007c4",
            "appName": "Jan10pass",
            "authentication": 0,
            "cumulativeBill": 0.234,
            "currency": "USD",
            "date": "2024-01-18",
            "discount": 0.0,
            "fep": 0,
            "ftc": 1,
            "gsCap": 75.0,
            "gsFees": 0.091,
            "incomingMsg": 9,
            "outgoingMsg": 82,
            "outgoingMediaMsg": 0,
            "marketing": 1,
            "service": 0,
            "templateMsg": 0,
            "templateMediaMsg": 0,
            "totalFees": 0.101,
            "totalMsg": 91,
            "utility": 0,
            "waFees": 0.01,
            "internationalAuthentication": 1
        }
    ]
}

Status Codes

Status CodeResponseComments
Success
200json { "status": "success", "partnerAppUsageList": [ { "appId": "bf9ee64c-3d4d-4ac4-8668-732e577007c4", "appName": "Jan10pass", "authentication": 0, "cumulativeBill": 0.007, "currency": "USD", "date": "2024-01-10", "discount": 0.0, "fep": 0, "ftc": 1, "gsCap": 75.0, "gsFees": 0.007, "incomingMsg": 2, "outgoingMsg": 5, "outgoingMediaMsg": 0, "marketing": 0, "service": 0, "templateMsg": 0, "templateMediaMsg": 0, "totalFees": 0.007, "totalMsg": 7, "utility": 0, "waFees": 0.0, "internationalAuthentication": 1 }, { "appId": "bf9ee64c-3d4d-4ac4-8668-732e577007c4", "appName": "Jan10pass", "authentication": 0, "cumulativeBill": 0.234, "currency": "USD", "date": "2024-01-18", "discount": 0.0, "fep": 0, "ftc": 1, "gsCap": 75.0, "gsFees": 0.091, "incomingMsg": 9, "outgoingMsg": 82, "outgoingMediaMsg": 0, "marketing": 1, "service": 0, "templateMsg": 0, "templateMediaMsg": 0, "totalFees": 0.101, "totalMsg": 91, "utility": 0, "waFees": 0.01, "internationalAuthentication": 1 } ] }
Error
429json { "status": "error", "message": "Too Many Requests" } 10 Requests per Minute
500json { "status": "error", "message": "Internal server error. Please try again later and If Issue still persist than contact Gupshup Dev Support" } For any Internal Error
Path Params
string
required
Query Params
string
string
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json